LinuxQuestions.org
Visit the LQ Articles and Editorials section
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices

Reply
 
Search this Thread
Old 09-24-2005, 11:41 PM   #1
snip128
Member
 
Registered: Jan 2004
Location: Delaware
Distribution: gentoo
Posts: 96

Rep: Reputation: 15
xml2-config not found, can't install php


well, basically, whenever i try to install php 5.0.5, ./configure errors out with:

Code:
Configuring extensions
checking whether to enable LIBXML support... yes
checking libxml2 install dir... no
configure: error: xml2-config not found. Please check your libxml2 installation.
'find / | grep xml2-config' returns nothing, and when i do 'apt-get install libxml2', it says that it is already installed, with the latest version....so...whats going on??

I'm running Debian linux in case you haven't already figured that out

thx
 
Click here to see the post LQ members have rated as the most helpful post in this thread.
Old 09-25-2005, 03:52 AM   #2
Coldfish
LQ Newbie
 
Registered: Sep 2005
Location: istanbul
Distribution: Debian / Slackware
Posts: 27

Rep: Reputation: 15
Possibly another depencie(s) are affecting your installation process. To ensure the depenceis you can use different programs.

Firstly try to apt-get to install php 5.0.5

Code:
apt-get install php5
If it still doesn't , try the other applications which search and install all the depencies for you.

Code:
aptitude
Code:
synaptic
Still all of them doesn't work , I'd suggest you sould read this paper for the post-install debian configuration. In this papers you can find some programs which are related to depencies problem:

http://www.linuxquestions.org/questi...hreadid=224547
 
Old 09-25-2005, 12:20 PM   #3
snip128
Member
 
Registered: Jan 2004
Location: Delaware
Distribution: gentoo
Posts: 96

Original Poster
Rep: Reputation: 15
i'm trying to install it from the site... this is the download

php5 isn't a valid package for apt-get, but i'm not sure if i wnt it either...does it install with mysql? (it shouldn't use --without-mysql in the configure command...) the php that came with apache2 was configured without mysql so now i cant use php to connect to my mysql database, until i reinstall it...then it will hopefully work..

Last edited by snip128; 09-25-2005 at 12:21 PM.
 
Old 09-26-2005, 02:07 AM   #4
tkedwards
Senior Member
 
Registered: Aug 2004
Location: Munich, Germany
Distribution: Opensuse 11.2
Posts: 1,549

Rep: Reputation: 51
Quote:
php5 isn't a valid package for apt-get, but i'm not sure if i wnt it either...does it install with mysql?
I'd have though it would be there somewhere, maybe its in unstable or testing and it would definately have mysql support enabled.

Anyway have you tried install libxml2-devel or something like that? If you're compiling something it needs the -devel version of that package as well as the package itself.
 
Old 10-01-2005, 11:48 AM   #5
dracon_ssa
LQ Newbie
 
Registered: Oct 2005
Posts: 1

Rep: Reputation: 0
hi,

I'd like to know how did you solve the problem, because I have the same problem.
I'm using this sources in apt-get:
deb http://packages.dotdeb.org stable all
deb-src http://packages.dotdeb.org stable all

Tks
 
Old 10-08-2005, 03:03 PM   #6
dmbaguley
LQ Newbie
 
Registered: Dec 2003
Location: Pacific Northwest
Distribution: gentoo
Posts: 5

Rep: Reputation: 1
I was having the same problem, so I installed libxml2-dev. Did the trick!
 
1 members found this post helpful.
Old 02-12-2007, 03:43 PM   #7
elseano
LQ Newbie
 
Registered: Feb 2007
Posts: 1

Rep: Reputation: 1
Suse, same problem

Same fix worked, different installer lingo:

yast --install libxml2-devel
 
2 members found this post helpful.
Old 02-15-2007, 03:23 PM   #8
onlykfk
LQ Newbie
 
Registered: Sep 2006
Location: Querétaro, Mexico
Posts: 1

Rep: Reputation: 0
Quote:
Originally Posted by dmbaguley
I was having the same problem, so I installed libxml2-dev. Did the trick!
Hi!
How can i install libxml2-dev in a SUN Solaris 5.8?
And where do i download the correct version for this SO?

I found this version: ftp://ftp.sunfreeware.com/pub/freewa...sparc-local.gz, is it compatible with my SO Version?
 
Old 03-13-2007, 02:00 AM   #9
JonathonReinhart
Member
 
Registered: Nov 2005
Location: Ohio
Distribution: SuSE
Posts: 34

Rep: Reputation: 15
Yep! I'm running SuSE 10.2 and installing libxml2-devel fixed it!
 
Old 02-19-2010, 07:29 PM   #10
Elmaese_22
LQ Newbie
 
Registered: Feb 2010
Posts: 1

Rep: Reputation: 0
Smile

Quote:
Originally Posted by snip128 View Post
well, basically, whenever i try to install php 5.0.5, ./configure errors out with:

Code:
Configuring extensions
checking whether to enable LIBXML support... yes
checking libxml2 install dir... no
configure: error: xml2-config not found. Please check your libxml2 installation.
'find / | grep xml2-config' returns nothing, and when i do 'apt-get install libxml2', it says that it is already installed, with the latest version....so...whats going on??

I'm running Debian linux in case you haven't already figured that out

thx
Instala la libreria:

apt-get install libxml2-dev

y corre nuevamente el ./configure
 
Old 02-13-2011, 12:23 AM   #11
compsciguy
LQ Newbie
 
Registered: Feb 2011
Posts: 3

Rep: Reputation: 0
Thumbs up

Between installing libxml2-dev and libmysqlclient-dev (see http://www.linuxquestions.org/questi...-files-230651/) I was able to get PHP 5.5.9 running. Thanks!
 
Old 03-01-2011, 09:24 AM   #12
CaptSol0
LQ Newbie
 
Registered: Feb 2011
Posts: 1

Rep: Reputation: 0
Im running ubuntu 8.04 and libxml2-dev fixed it for me too! Thanks @dmbaguley
 
Old 09-29-2011, 04:32 PM   #13
muthuArumugam
LQ Newbie
 
Registered: Sep 2011
Posts: 1

Rep: Reputation: Disabled
Oracle Enterprise Linux - up2date libxml-devel fixed

In Oracle Enterprise Linux

up2date libxml-devel fixed the problem.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
PHP 5 cannot find xml2-config for libxml2 support ridertech Linux - Software 21 02-08-2013 10:00 PM
gtk-config and glib-config scripts not found? Frustin Linux - General 17 12-26-2008 03:14 PM
PHP5 xml2-config bcf2 Linux - Software 1 07-03-2005 11:45 AM
./configure cant find xml2-config (neither can I) unholy Linux - Software 10 10-26-2003 01:56 PM
PHP install: httpsd.conf not found? J_Szucs Linux - Software 5 03-26-2003 03:29 AM


All times are GMT -5. The time now is 06:57 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration